Bug 1121485 - Review Request: adobe-source-han-sans-cn-fonts - Adobe OpenType Pan-CJK font family for Simplified Chinese
Summary: Review Request: adobe-source-han-sans-cn-fonts - Adobe OpenType Pan-CJK font ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 05:34 UTC by Peng Wu
Modified: 2014-07-25 15:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-24 06:34:46 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Parag AN(पराग) 2014-07-21 08:19:50 UTC
1)I don't think readme.mkd is need to be installed. Please remove it

2) Summary can be =>  An OpenType Pan-CJK font family for Simplified Chinese

3) You can remove first line of %description

4) there is no reference to LICENSE.txt, if you want to add it then use upstream source link as
https://github.com/adobe-fonts/source-han-sans/blob/master/LICENSE.txt

5) This is A sans-serif font so include only those rules and not to copy again for monospace or serif. Update the fontconfig file.

Comment 2 Peng Wu 2014-07-21 10:23:36 UTC
This new font is a candidate for default Simplified Chinese font,
The fontconfig conf file is written as an default Simplified Chinese font.

and for Chinese font, not different in sans or serif styles.

The rest have been fixed.

Comment 4 Parag AN(पराग) 2014-07-22 07:56:58 UTC
Thanks for the update.

Review:
+ mock build is successful for f22

+ rpmlint output on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :88117aa8f8b4ab65d6f7a919a5e1b06d6c00f75b1abecccf120246536123754d
upstream tarball :88117aa8f8b4ab65d6f7a919a5e1b06d6c00f75b1abecccf120246536123754d

+ License "ASL 2.0" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines


APPROVED.

Comment 5 Peng Wu 2014-07-23 07:37:43 UTC
New Package SCM Request
=======================
Package Name: adobe-source-han-sans-cn-fonts
Short Description: Adobe OpenType Pan-CJK font family for Simplified Chinese
Upstream URL: http://sourceforge.net/adobe/source-han-sans/wiki/Home/
Owners: pwu
Branches: f20 f21 epel7
InitialCC: i18n-team petersen

Comment 6 Peng Wu 2014-07-23 08:12:13 UTC
New Package SCM Request
=======================
Package Name: adobe-source-han-sans-cn-fonts
Short Description: Adobe OpenType Pan-CJK font family for Simplified Chinese
Upstream URL: http://sourceforge.net/adobe/source-han-sans/wiki/Home/
Owners: pwu
Branches: f20 f21 epel7
InitialCC: fonts-sig i18n-team petersen

Comment 7 Gwyn Ciesla 2014-07-23 10:10:42 UTC
Git done (by process-git-requests).

Comment 8 Peng Wu 2014-07-24 06:34:46 UTC
Built for rawhide and F21, close bug.

Comment 9 Christopher Meng 2014-07-24 06:58:52 UTC
Can you build and push update to f20? I can't understand why f20 users can't use it.

Comment 10 Peng Wu 2014-07-24 07:19:37 UTC
I will use/test for a few days, before push it for f20.

Comment 11 Christopher Meng 2014-07-24 07:25:31 UTC
It would still be better to push it to testing, as many Chinese are requesting it.

Comment 12 Christopher Meng 2014-07-24 07:26:17 UTC
Thanks for packaging it! I just thought if Fedora has plan to move to this one as default. WenQuanYi is nearly stalled now.

Comment 13 Peng Wu 2014-07-24 07:56:37 UTC
I will push it soon.

Currently WenQuanYi has more glyph coverage.

If you want to use it as default, just need to install the new fonts, then remove "wqy-*-fonts" and "cjkuni-*-fonts".

Comment 14 Peng Wu 2014-07-24 08:20:30 UTC
built for f20 and submitted in bodhi.


Note You need to log in before you can comment on or make changes to this bug.